/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\EB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FPKFIELD')) 
 ALTER TABLE T_EB_INTEGRATION ADD (FPKFIELD NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_ROUTER' AND KSQL_COL_NAME IN ('FDATASETID')) 
 ALTER TABLE T_EB_INTEGRATION_ROUTER ADD (FDATASETID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_MEMBER_QUOTE') 
 CREATE TABLE T_EB_MEMBER_QUOTE (
FID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMEMBERNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESOURCE CHAR(2) DEFAULT '00' NOT NULL,
FCREATEDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FQUOTENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\EB_table.sql **/
